List Clearing Brokers
POSThttps://api.gemini.com/v1/clearing/broker/list
Retrieve a filtered list of broker-facilitated clearing orders.
POSTv1/clearing/broker/list
curl --request POST \
--url https://api.gemini.com/v1/clearing/broker/list \
--header 'Content-Type: application/json' \
--header 'X-GEMINI-APIKEY: <string>' \
--header 'X-GEMINI-PAYLOAD: <string>' \
--header 'X-GEMINI-SIGNATURE: <string>' \
--data '
{
"request": "/v1/clearing/broker/list",
"nonce": "<nonce>",
"symbol": "BTCEUR"
}
'
Roles
The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.
The OAuth scope must have clearing:read assigned to access this endpoint. See OAuth Scopes for more information.
Headers
X-GEMINI-APIKEYstring·required
Your API keyX-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secretX-GEMINI-PAYLOADstring·required
Base64-encoded JSON payloadContent-Typestring
Default: text/plainContent-Lengthstring
Default: 0Cache-Controlstring
Default: no-cacheRequest Body
requeststring·required
The literal string "/v1/clearing/broker/list"nonceTimestampType | integer·required
timestampExample: 1495127793000expiration_startstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000expiration_endstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000submission_startstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000submission_endstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000fundedboolean
Default value false if not setstatusstring
Filter by statustimestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000limit_ordersinteger
The maximum number of orders to returnaccountstring
Required for Master API keys. The name of the account within the subaccount group.{
"request": "/v1/clearing/broker/list",
"nonce": "<nonce>"
}
Responses
Successful operation
resultstring
Status of the operationorders[].clearing_idstring
A unique identifier for the clearing orderorders[].source_counterparty_idstring
Source counterparty idorders[].source_order_idstring
Only provided if order was submitted with itorders[].target_counterparty_idstring
Only provided if target counterparty was already setorders[].target_order_idstring
Only provided if target counterparty set this fieldorders[].symbolstring
Trading pairorders[].source_sidestring·enum
"buy" or "sell"Enum values: buysellorders[].pricenumber (decimal)
The price the clearing order was executed atorders[].quantitynumber (decimal)
The amount that was executedorders[].statusstring
A description of the status of the orderorders[].submissioninteger
UTC timestamporders[].expirationinteger
UTC timestamp{
"result": "success",
"orders": [
{
"clearing_id": "9LVQ98X5",
"source_counterparty_id": "R54L3DG1",
"source_order_id": "trade1SrcOrderId",
"target_counterparty_id": "KQ4P3XWE",
"target_order_id": "trade1TgtOrderId",
"symbol": "BTCEUR",
"source_side": "buy",
"price": 1,
"quantity": 50,
"status": "AwaitSourceConfirm",
"submission": 1641790800016,
"expiration": 1642222800000
},
{
"clearing_id": "VXQ341X4",
"source_counterparty_id": "R54L3DG1",
"source_order_id": "trade4SrcOrderId",
"symbol": "BTCEUR",
"source_side": "buy",
"price": 4,
"quantity": 8,
"status": "AwaitSourceTargetConfirm",
"submission": 1641790800028,
"expiration": 1642136400000
}
]
}